<?php 
$done = '&done=0';
$errors = array();
$button_caption = __('Save');

if (isset($_POST['submited'])) { # bouton Enregistrer
  # Ecriture des spcifications gnrales de configuration
  $dc_podcast_feed_tags = podcast::encode_str(strip_multiple_blanks(trim($_POST['dc_podcast_feed_tags'], ' ,')));
  if ($dc_podcast_feed_tags == '') $dc_podcast_feed_tags = 'Podcast';
  if ($dc_podcast_feed_tags != dc_podcast_feed_tags) { # cration specs si ncessaire
  	foreach ($feed_names as $key => $value)
	  	if ( !defined(''.$key) ) podcast::check_conf_ini($key);
  }
  podcast::updateSpec('dc_podcast_feed_tags', $dc_podcast_feed_tags);
  
  $dc_podcast_feed_ext = podcast::encode_str($_POST['dc_podcast_feed_ext']);
  if (trim($dc_podcast_feed_ext) == '') $dc_podcast_feed_ext = 'xml';
  podcast::updateSpec('dc_podcast_feed_ext', $dc_podcast_feed_ext);
  
  $dc_podcast_audio_feed_path = podcast::encode_str($_POST['dc_podcast_audio_feed_path']);
  if (trim($dc_podcast_audio_feed_path) == '') $dc_podcast_audio_feed_path = 'share/audio';
  podcast::updateSpec('dc_podcast_audio_feed_path', $dc_podcast_audio_feed_path);
  
  $dc_podcast_generate_feeds = trim($_POST['dc_podcast_generate_feeds']);
  podcast::updateSpec('dc_podcast_generate_feeds', $dc_podcast_generate_feeds);
  
  $dc_podcast_prefix = trim($_POST['dc_podcast_prefix']);
  if ( in_array($dc_podcast_prefix, array('no', 'podtrac', 'tharos')) === false ) $dc_podcast_prefix = 'no';
  podcast::updateSpec('dc_podcast_prefix', $dc_podcast_prefix);
  
  $dc_podcast_player = trim($_POST['dc_podcast_player']);
  $dc_podcast_player = ( in_array($dc_podcast_player, array('dew', 'dewmin', 'dewmul', 'dewvol', 'neolao')) ) ? $dc_podcast_player : 'dew';
  podcast::updateSpec('dc_podcast_player', $dc_podcast_player);
  
  $dc_podcast_make_post = trim($_POST['dc_podcast_make_post']);
  podcast::updateSpec('dc_podcast_make_post', $dc_podcast_make_post);
  
  if ( ($dc_podcast_title_length = (integer)$_POST['dc_podcast_title_length']) == 0 )
  	$dc_podcast_title_length = 50;
  podcast::updateSpec('dc_podcast_title_length', $dc_podcast_title_length);
  
  if ( ($dc_podcast_displayed_items_per_page = (integer)$_POST['dc_podcast_displayed_items_per_page']) == 0 )
  	$dc_podcast_displayed_items_per_page = 20;
  podcast::updateSpec('dc_podcast_displayed_items_per_page', $dc_podcast_displayed_items_per_page);
  
  if ( ($dc_podcast_feed_items_limit = (integer)$_POST['dc_podcast_feed_items_limit']) == 0 )
  	$dc_podcast_feed_items_limit = 999;
  podcast::updateSpec('dc_podcast_feed_items_limit', $dc_podcast_feed_items_limit);
  
  if ( ($dc_podcast_feed_items_number = (integer)$_POST['dc_podcast_feed_items_number']) == 0 )
  	$dc_podcast_feed_items_number = 999;
  podcast::updateSpec('dc_podcast_feed_items_number', $dc_podcast_feed_items_number);
  
  # test if the line ends by cr, lf, cr-lf, lf-cr
  $dc_podcast_signature = trim(preg_replace("/(\r\n|\n\r|\n|\r)/", DC_PODCAST_CR, $_POST['dc_podcast_signature'.$feed_suffix]), DC_PODCAST_CR);
  podcast::updateSpec('dc_podcast_signature', $dc_podcast_signature);
  
  if (podcast::saveConf()) {
  	$done = '&done=1';
  	#	 il faut recharger la page pour actualiser les constantes
  	header('Location: ' . $plugin_url . '&mode=conf'.$done); # Envoi d'un en-tte HTTP
  	exit;
  } else {
  	$errors[] = __('An error occured while writing the file.');
  }
}
# fin d'criture du conf.ini *******************************************
# cration specs si dtection dans vardef
if ($feed_config_todo) {
	foreach ($feed_names as $key => $value)
  	if ( !defined(''.$key) ) podcast::check_conf_ini($key);
  #	 il faut recharger la page pour actualiser les constantes
	header('Location: ' . $plugin_url . '&mode=conf'.$done); # Envoi d'un en-tte HTTP
	exit;
}
$mySubMenu->addItem(
'<strong>'.__('Back to list').'</strong>',$plugin_url,'images/ico_retour.png',false);
$feeds_url_sample = '';
foreach ($feed_names as $key => $value) {
	$mySubMenu->addItem(
	'<strong>'.$value.'</strong>',$plugin_url.'&amp;mode=conf&amp;feed_suffix='.$key,'images/ico_edit.png',false);
}
$mySubMenu->addItem(
	__('<strong>'.__('Check').'</strong>'),$plugin_url . '&amp;check=1','images/ico_ok.png',false);
if ( file_exists(DC_PODCAST_ROOT . 'podcast.html') ) {
$mySubMenu->addItem(
	__('<strong>Doc</strong>'),'tools/podcast/podcast.html','images/ico_help.png',false);
}
if ( file_exists(DC_PODCAST_ROOT . 'faq.html') ) {
$mySubMenu->addItem(
	__('<strong>FAQ</strong>'),'tools/podcast/faq.html','images/ico_help.png',false);
}
if ($path_for_fm != '') {
	if ( file_exists(DC_PODCAST_ROOT . 'change.log') ) {
	$mySubMenu->addItem(
		__('change.log'),'tools.php?p=filemanager&amp;f=' . $path_for_fm .
										 'change.log','images/ico_help.png',false);
	}
}
buffer::str('<h2>Configuration</h2>');
if ( (isset($_GET['done'])) && ($_GET['done'] == '1') )
	buffer::str('<p class="message">'.__('Configuration file successfully updated.').'</p>');
  
podcast::DisplayErrors($errors); # affichage des erreurs

# Affichage du formulaire
$feeds_url_sample = '';
$feeds_url_sample = '<p><i>'.__('File names for RSS feeds').'</i> : ';
foreach($feed_names as $key => $value) {
	$fn = substr($key, 1);
  $feeds_url_sample.= '<strong>'.$value.' :</strong> ';
  if ( defined('dc_podcast_rss_2_0_feed_path'.$key) ) {
  $feeds_url_sample.= 
    '<a href="../'.constant('dc_podcast_rss_2_0_feed_path'.$key).$fn.'.'.dc_podcast_feed_ext.'">'.$fn.'.'.dc_podcast_feed_ext.'</a>'.' '.
    '<a href="../'.constant('dc_podcast_rss_2_0_feed_path'.$key).$fn.'.php">'.$fn.'.php</a>'.' ; ';
  } else {
  	$feeds_url_sample.= ' not defined ';
  }
}
$feeds_url_sample.= '</p>';
#<input type="text" size="70" name="dc_podcast_feed_tags" id="dc_podcast_feed_tags" maxlength="255" value="Podcast, Music, Video"  />
buffer::str(
'<form action="' . $plugin_url . '&mode=conf' . $done . '" method="post">'.

'<fieldset>'.
'<legend>'.__('General specifications').'</legend>'.
    
  '<p class="field"><label for="dc_podcast_feed_tags" class="float"><strong>'.
	__('Names for RSS feeds').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin='.$dc_podcast_plugin_name,'field dc_podcast_feed_tags').'</label>'.
	form::field('dc_podcast_feed_tags', 70, 255, dc_podcast_feed_tags).'</p>'.
  
  '<p class="field"><label for="dc_podcast_feed_ext" class="float"><strong>'.
	__('Feeds extension').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin='.$dc_podcast_plugin_name,'field dc_podcast_feed_ext').'</label>'.
	form::field('dc_podcast_feed_ext', 5, 5, dc_podcast_feed_ext).'</p>'.
  
  $feeds_url_sample .
  
  '<p class="field"><label for="dc_podcast_audio_feed_path" class="float"><strong>'.
	__('Audio video directory').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin='.$dc_podcast_plugin_name,'field dc_podcast_audio_feed_path').'</label>'.
	form::field('dc_podcast_audio_feed_path', 70, 255, dc_podcast_audio_feed_path).'</p>'.

	'<p class="field"><label for="dc_podcast_generate_feeds" class="float"><strong> '.
	__('Automatic generation').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin='.$dc_podcast_plugin_name,'field dc_podcast_generate_feeds').'</label>'.
	form::combo('dc_podcast_generate_feeds',array(__('Yes')=>'yes',__('No')=>'no'), dc_podcast_generate_feeds).'</p>'.
  
  '<p class="field"><label for="dc_podcast_prefix" class="float"><strong> '.
	__('iTunes count').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin='.$dc_podcast_plugin_name,'field dc_podcast_prefix').'</label>'.
  __('No').'<input type="radio" name="dc_podcast_prefix" value="no"'.
  	( (dc_podcast_prefix == 'no') ? 'checked="checked"' : '' ).' /> - '.
  '<a href="http://podtrac.com/podcaster/podcaster-main.aspx">Podtrac</a><input type="radio" name="dc_podcast_prefix" value="podtrac"'.
  	( (dc_podcast_prefix == 'podtrac') ? 'checked="checked"' : '' ).' /> - '.
  '<a href="http://tharos.online.free.fr/index.php?2005/11/19/4-compteur-de-telechargements">Tharos</a><input type="radio" name="dc_podcast_prefix" value="tharos"'.
  	( (dc_podcast_prefix == 'tharos') ? 'checked="checked"' : '' ).' />'.
  '<span class="message"> - Exprimental : usage rserv expert</span></p>'.

  '<p class="field"><label for="dc_podcast_player" class="float"><strong> '.
	__('Player MP3').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin='.$dc_podcast_plugin_name,'field dc_podcast_player').'</label>'."\n".
  '<a href="http://www.estvideo.net/dew/index/2006/05/02/707-dewplayer-1-5">Dew</a><input type="radio" name="dc_podcast_player" value="dew"'.
  	( (dc_podcast_player == 'dew') ? 'checked="checked"' : '' ).' /> - '.
  'Dew mini<input type="radio" name="dc_podcast_player" value="dewmin"'.
  	( (dc_podcast_player == 'dewmin') ? 'checked="checked"' : '' ).' /> - '.
  'Dew multi<input type="radio" name="dc_podcast_player" value="dewmul"'.
  	( (dc_podcast_player == 'dewmul') ? 'checked="checked"' : '' ).' /> - '.
  'Dew vol<input type="radio" name="dc_podcast_player" value="dewvol"'.
  	( (dc_podcast_player == 'dewvol') ? 'checked="checked"' : '' ).' /> - '.
  '<a href="http://resources.neolao.com/flash/components/player_mp3">Neolao</a><input type="radio" name="dc_podcast_player" value="neolao"'.
  	( (dc_podcast_player == 'neolao') ? 'checked="checked"' : '' ).' />'.
  '</p>'.
      
  '<p class="field"><label for="dc_podcast_make_post" class="float"><strong>'.
	__('Make post, verbose').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin='.$dc_podcast_plugin_name,'field dc_podcast_make_post').'</label>'.
	form::combo('dc_podcast_make_post',array(__('Yes')=>'yes',__('No')=>'no'), dc_podcast_make_post).'</p>'.

	'<p class="field"><label for="dc_podcast_title_length" class="float"><strong>'.
	__('Length of the titles').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin='.$dc_podcast_plugin_name,'field dc_podcast_title_length').'</label>'.
	form::field('dc_podcast_title_length', 5, 5, dc_podcast_title_length).'</p>'.

	'<p class="field"><label for="dc_podcast_displayed_items_per_page" class="float"><strong>'.
	__('Items per page').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin='.$dc_podcast_plugin_name,'field dc_podcast_displayed_items_per_page').'</label>'.
	form::field('dc_podcast_displayed_items_per_page', 5, 5, dc_podcast_displayed_items_per_page).'</p>'.
  
  '<p class="field"><label for="dc_podcast_feed_items_limit" class="float"><strong>'.
	__('Max number of entries').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin='.$dc_podcast_plugin_name,'field dc_podcast_feed_items_limit').'</label>'.
	form::field('dc_podcast_feed_items_limit', 5, 5, dc_podcast_feed_items_limit).'</p>'.
  
  '<p class="field"><label for="dc_podcast_feed_items_number" class="float"><strong>'.
	__('Max number of items').'&nbsp;:</strong> '.
	helpLink('index&amp;plugin='.$dc_podcast_plugin_name,'field dc_podcast_feed_items_number').'</label>'.
	form::field('dc_podcast_feed_items_number', 5, 5, dc_podcast_feed_items_number).'</p>'.

'</fieldset>' .

'<fieldset>'.
'<legend>'.__('Related post signature').'</legend>'.

	'<p class="field"><label for="dc_podcast_signature" class="float"><strong>'.
  __('Signature').'&nbsp;:</strong> '.
  helpLink('index&amp;plugin='.$dc_podcast_plugin_name,'field dc_podcast_signature').'</label>'.
	form::textArea('dc_podcast_signature', 67, 3, str_replace(DC_PODCAST_CR,"\r",podcast::specValue('dc_podcast_signature'))).'</p>'.

  '</p>'.'</fieldset>' .

'<p class="field">' . form::hidden('submited', true) . '</p>' .
'<p class="field">' .
'<input name="' . $mode . '" type="submit" class="submit" value="' . $button_caption . '" />' .

'</form>');

buffer::str('<h3>Sauvegardes</h3>');
buffer::str('<p><strong>Sauvegarder</strong> (clic droit) les <em>spcifications</em> qui sont dans <a href="'.
  podcast::url_of('share/'.$dc_podcast_plugin_name.'/'.$dc_podcast_conf_ini).'">'.$dc_podcast_conf_ini.
  '</a>. Si le fichier n\'est pas accessible, utiliser un client FTP (FileZilla ...).</p>');
if ( @file_exists(dirname(__FILE__).'/../mysql/desc.xml') )
  buffer::str('<p><strong>Sauvegarder</strong> les <em>pisodes</em> qui sont dans la <a href="'.
  	'tools.php?p=mysql">base donnes MYSQL</a> (clic gauche).</p>');

buffer::str('<h3>Fils de syndication RSS2</h3>');
buffer::str(podcast::DisplayFeeds());

 ?>